---
title: Displays
slug: displays
docTags: 
createdAt: 2022-04-13T09:34:42.000Z
---

Methods allow you to get a complete list or a specific display in Eyrene, view information about them, update all fields, or only select display fields. Also, you can delete the display by ID.

***

::::ExpandableHeading{isOpen="true"}
# <font color="#2166ae">GET</font> /displays

Retrieve a list of displays.

:::ApiMethodV2
```json
{
  "tab": "request",
  "url": "https://instance_name/api/v1.5/displays/",
  "name": "Request example",
  "method": "GET",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Authorization",
        "type": "string",
        "description": "String in \"Token XXXXXX...\" format."
      }
    ],
    "bodyDataParameters": [
      {
        "kind": "optional",
        "name": "limit",
        "type": "string",
        "description": "Number of results to return per page."
      },
      {
        "kind": "optional",
        "name": "offset",
        "type": "string",
        "description": "The initial index from which to return the results."
      }
    ],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "1rlkLKO5JlhTk3S80Ce0g",
        "code": "{\n   \"count\":2,\n   \"next\":\"http://example.com\",\n   \"previous\":null,\n   \"results\":[\n      {\n         \"id\":29,\n         \"name\":\"Windmill , SIA, Veikals\",\n         \"musthavelist\":null\n      },\n      {\n         \"id\":4,\n         \"name\":\"SPARTAN.lv\",\n         \"musthavelist\":6\n      },\n      {\n         \"id\":3,\n         \"name\":\"Riela Latvia\",\n         \"musthavelist\":5\n      },\n      {\n         \"id\":37,\n         \"name\":\"Hermess\",\n         \"musthavelist\":null\n      }\n   ]\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "1rlkLKO5JlhTk3S80Ce0g"
  },
  "examples": {
    "languages": [
      {
        "id": "Cu1xhLxZ5PHAuLFx_iIf1",
        "code": "curl –i –X GET\r\n  https://test.eyrene.com/api/v1.5/displays/\r\n  -H ‘Authorization: Token 39fbb6e9-fbf9-459a-9e1b-416dbcf51875e’ \r\n  –F \"limit=2\" \\\r\n  –F \"offset=0\" ",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "Cu1xhLxZ5PHAuLFx_iIf1"
  },
  "description": "GET /displays",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "request-example",
  "legacyHash": "PmBc5ruTYpcr7hQIqwnHk"
}
```
:::

## Response parameters[​](https://help.inspector-cloud.com/en/docs/api/backend/methods/v1.5/catalog/brands#response-definitions)

***

**`count`** *integer*

The number of displays.

***

**`next`** *string (uri)* <font color="#2166ae">*Nullable*</font>**

Next page.

***

**`previous`** *string (uri)* <font color="#2166ae">*Nullable*</font>**

Previous page.

***

**`results`** a*rray of objects*

An array of objects with information about displays:

- **`id`** *string*
  Unique ID.
- **`name`** *string*
  Human-readable name.
- **`planogram`** *string*
  Planogram ID. Optional.
- **`musthavelist`** *string*
  Must-have list ID. Optional

***


::::

***

::::ExpandableHeading{isOpen="true"}
# <font color="#3b9f0f">POST</font> /displays

Сreate a new display.

:::ApiMethodV2
```json
{
  "tab": "request",
  "url": "https://instance_name/api/v1.5/displays/",
  "name": "Request example",
  "method": "POST",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Authorization",
        "type": "string",
        "description": "String in \"Token XXXXXX...\" format."
      }
    ],
    "bodyDataParameters": [
      {
        "kind": "optional",
        "name": "id",
        "type": "string",
        "description": "Unique ID."
      },
      {
        "kind": "optional",
        "name": "name",
        "type": "string",
        "description": "Human-readable name."
      },
      {
        "kind": "optional",
        "name": "planogram",
        "type": "string",
        "description": "Planogram ID."
      },
      {
        "kind": "optional",
        "name": "musthavelist",
        "type": "string",
        "description": "Must have list ID."
      }
    ],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "xcVqafQ2RCx_iOpUkQJ43",
        "code": "{\n   \"result\": \"CREATED\"\n}",
        "language": "201",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "xcVqafQ2RCx_iOpUkQJ43"
  },
  "examples": {
    "languages": [
      {
        "id": "Cu1xhLxZ5PHAuLFx_iIf1",
        "code": "curl –i –X POST\r\n  https://test.eyrene.com/api/v1.5/displays/ \r\n  -H ‘Authorization: Token 39fbb6e9-fbf9-459a-9e1b-416dbcf51875e’ \r\n  -F \"id=458\" \\\r\n  -F \"name=Hermess\" \\\r\n  -F \"planogram=45\" \\\r\n  -F \"musthavelist=5\"",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "Cu1xhLxZ5PHAuLFx_iIf1"
  },
  "description": "POST /displays",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "request-example-1",
  "legacyHash": "wwLon9Zt7FV9aNnDwf5QQ"
}
```
:::
::::

***

::::ExpandableHeading{isOpen="true"}
# <font color="#2166ae">GET</font> /displays/&#x7B;id}

Retrieve detailed information about the display by ID.

:::ApiMethodV2
```json
{
  "tab": "request",
  "url": "https://instance_name/api/data/v1.5/displays/{id}",
  "name": "Request example",
  "method": "GET",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "id",
        "type": "string",
        "description": "Display ID."
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Authorization",
        "type": "string",
        "description": "String in \"Token XXXXXX...\" format."
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "BcmDi-d9UM-V1Lp9EpJ4I",
        "code": "{\n   \"id\":69,\n   \"name\":\"Hermess\",\n   \"planogram\":5,\n   \"musthavelist\":4\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "BcmDi-d9UM-V1Lp9EpJ4I"
  },
  "examples": {
    "languages": [
      {
        "id": "Cu1xhLxZ5PHAuLFx_iIf1",
        "code": "curl –i –X GET\r\n  https://test.eyrene.com/api/v1.5/displays/69/ \r\n  -H ‘Authorization: Token 39fbb6e9-fbf9-459a-9e1b-416dbcf51875e’ ",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "Cu1xhLxZ5PHAuLFx_iIf1"
  },
  "description": "GET /displays/{id}",
  "currentNewParameter": {
    "label": "Path Parameter",
    "value": "pathParameters"
  },
  "autoGeneratedAnchorSlug": "request-example-2",
  "legacyHash": "6pZYk9-vtV8H2f6898w1z"
}
```
:::

## Response parameters

***

**`id`** *string*

Unique ID.

***

**`name`** *string*

Human-readable name.

***

**`planogram`** *string*

Planogram ID.

***

**`musthavelist`** *string*

Must-have list ID.

***

[](https://help.inspector-cloud.com/en/docs/api/backend/methods/v1.5/catalog/brands_id#response-definitions)
::::

***

::::ExpandableHeading{isOpen="true"}
# <font color="#f77d05">PUT</font> /displays/&#x7B;id}

Update all fields of the display.





:::ApiMethodV2
```json
{
  "tab": "request",
  "url": "https://instance_name/api/v1.5/displays/{id}",
  "name": "Request example",
  "method": "PUT",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "id",
        "type": "string",
        "description": "Display ID."
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Authorization",
        "type": "string",
        "description": "String in \"Token XXXXXX...\" format."
      }
    ],
    "bodyDataParameters": [
      {
        "kind": "optional",
        "name": "id",
        "type": "string",
        "description": "Unique ID."
      },
      {
        "kind": "optional",
        "name": "name",
        "type": "string",
        "description": "Human-readable name."
      },
      {
        "kind": "optional",
        "name": "planogram",
        "type": "string",
        "description": "Planogram ID."
      },
      {
        "kind": "optional",
        "name": "musthavelist",
        "type": "string",
        "description": "Must have list ID."
      }
    ],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "L7oDtGV1IY14Re9Xv3AXQ",
        "code": "{\n   \"id\":101,\n   \"name\":\"Hermess\",\n   \"planogram\":15,\n   \"musthavelist\":3\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "L7oDtGV1IY14Re9Xv3AXQ"
  },
  "examples": {
    "languages": [
      {
        "id": "GBxujaKFUEJ3yAzlqWoID",
        "code": "curl –i –X PUT\n  https://test.inspector-cloud.com/api/v1.5/displays/69/ \n  -H ‘Authorization: Token 39fbb6e9-fbf9-459a-9e1b-416dbcf51875e’ \n  -F \"id=101\" \\\n  -F \"name\"=\"Hermess\" \\\n  -F \"planogram\"=\"15\" \\\n  -F \"musthavelist\"=\"3\"",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "GBxujaKFUEJ3yAzlqWoID"
  },
  "description": "PUT /displays/{id}",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "request-example-3",
  "legacyHash": "YKxwaGyeOdgze0sp6jTrL"
}
```
:::

## [​](https://help.inspector-cloud.com/en/docs/api/backend/methods/v1.5/catalog/brands_id#response-definitions-1)Response parameters

***

**`id`** *string*

Unique ID.

***

**`name`** *string*

Human-readable name.

***

**`planogram`** *string*

Planogram ID.

***

**`musthavelist`** *string*

Must-have list ID.

***


::::

***

::::ExpandableHeading{isOpen="true"}
# <font color="#03d1eb">PATCH</font> /displays/&#x7B;id}

Update some of the fields in the display.

:::ApiMethodV2
```json
{
  "tab": "request",
  "url": "https://instance_name/api/v1.5/displays/{id}",
  "name": "Request example",
  "method": "PATCH",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "id",
        "type": "string",
        "description": "Display ID."
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Authorization",
        "type": "string",
        "description": "String in \"Token XXXXXX...\" format."
      }
    ],
    "bodyDataParameters": [
      {
        "kind": "optional",
        "name": "id",
        "type": "string",
        "description": "Unique ID."
      },
      {
        "kind": "optional",
        "name": "name",
        "type": "string",
        "description": "Human-readable name."
      },
      {
        "kind": "optional",
        "name": "planogram",
        "type": "string",
        "description": "Planogram ID."
      },
      {
        "kind": "optional",
        "name": "musthavelist",
        "type": "string",
        "description": "Must have list ID."
      }
    ],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "BcmDi-d9UM-V1Lp9EpJ4I",
        "code": "{\n   \"id\":69,\n   \"name\":\"Hermess\",\n   \"planogram\":15,\n   \"musthavelist\":4\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "BcmDi-d9UM-V1Lp9EpJ4I"
  },
  "examples": {
    "languages": [
      {
        "id": "Cu1xhLxZ5PHAuLFx_iIf1",
        "code": "curl –i –X PATCH\r\n  https://test.eyrene.com/api/v1.5/displays/69/ \r\n  -H ‘Authorization: Token 39fbb6e9-fbf9-459a-9e1b-416dbcf51875e’\r\n  -F \"name\"=\"Hermess\" \\\r\n  -F \"planogram\"=\"15\"",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "Cu1xhLxZ5PHAuLFx_iIf1"
  },
  "description": "PATCH /displays/{id}",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "request-example-4",
  "legacyHash": "Rv4TTHvBcmD3PeVA9dEPo"
}
```
:::

## Response parameters[​](https://help.inspector-cloud.com/en/docs/api/backend/methods/v1.5/catalog/brands_id#response-definitions-1)



***

**`id`** *string*

Unique ID.

***

**`name`** *string*

Human-readable name.

***

**`planogram`** *string*

Planogram ID.

***

**`musthavelist`** *string*

Must-have list ID.

***


::::

***

::::ExpandableHeading{isOpen="true"}
# <font color="#e95c5c">DELETE</font> /displays/&#x7B;id}

Delete display by ID.

:::ApiMethodV2
```json
{
  "tab": "request",
  "url": "https://instance_name/api/v1.5/displays/{id}",
  "name": "Request example",
  "method": "DELETE",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "id",
        "type": "string",
        "description": "Display ID."
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Authorization",
        "type": "string",
        "description": "String in \"Token XXXXXX...\" format."
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "dU9xR9j8Bu4jftmV8BprY",
        "code": "{\n   \"result\":\"OK\"\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "dU9xR9j8Bu4jftmV8BprY"
  },
  "examples": {
    "languages": [
      {
        "id": "N8QhhTSDO9fbQybTRclDg",
        "code": "curl –i –X DELETE\n  https://test.eyrene.com/api/v1.5/displays/69/\n  -H ‘Authorization: Token 39fbb6e9-fbf9-459a-9e1b-416dbcf51875e’",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "N8QhhTSDO9fbQybTRclDg"
  },
  "description": "DELETE /displays/{id}",
  "currentNewParameter": {
    "label": "Header Parameter",
    "value": "headerParameters"
  },
  "autoGeneratedAnchorSlug": "request-example-5",
  "legacyHash": "JOZ7XXPKSnnA6LnmfRvaj"
}
```
:::
::::

***

